The IMAP extension is missing from your PHP installation.

twisted1919

Administrator
Staff member
In case this kind of error isn't pretty self explanatory, your php instance doesn't contain the imap extension.
If you have access to command line, following commands should install php imap on your server:

If you are on CentOS / RedHat / Fedora or derivates:
Code:
yum install php-imap
If you are on a Debian / Ubuntu or derivates:
Code:
apt-get install php-imap
If no packages are found, then consult your distro manual.

In case you are on a host where you don't have command line access, if you have CPanel/WHM access, you can use EasyApache to compile php with imap extension.
Otherwise, you have to contact your host about the issue.
 
Hello @twisted1919

I've just migrated my entire website to another server. Now I see in MW all bounce servers don't work because I don't have the php-imap installed. Ok, that's clear. But before moving on I'd like to know if there are any possible issues installing this extension and its dependencies.

I'm not referring to MW (that obviously needs php-imap), but to the rest of my website. Now, it's clear you don't know my cms and my website, but my question is more general; I don't have a great server/website knowledge and I worked two months on this migration (and now everything works perfectly). So, do you think it's totally safe to move on with this installation, or not?

Let me add some infos for you:

1) these are the extension installed on my server (php -m)
bcmath
bz2
calendar
Core
ctype
curl
date
dom
exif
fileinfo
filter
ftp
gd
gettext
gmp
hash
iconv
intl
ionCube Loader
json
ldap
libxml
mbstring
memcache
mysqli
mysqlnd
openssl
pcntl
pcre
PDO
pdo_mysql
pdo_sqlite
Phar
posix
pspell
readline
Reflection
session
shmop
SimpleXML
sockets
SPL
sqlite3
standard
sysvmsg
sysvsem
sysvshm
tidy
tokenizer
wddx
xml
xmlreader
xmlwriter
xsl
zip
zlib

2) these are the requirements of my cms:
mysqli
curl
zlib
SimpleXML
gd
mbstring

3) and finally this is the output of php-imap installation (yum install php-imap):
====================================================================================================================
Package Arch Version Repository Size
====================================================================================================================
Installing:
php-imap x86_64 7.3.13-1.el7.remi remi-php73 88 k
Updating for dependencies:
php x86_64 7.3.13-1.el7.remi remi-php73 3.2 M
php-bcmath x86_64 7.3.13-1.el7.remi remi-php73 73 k
php-cli x86_64 7.3.13-1.el7.remi remi-php73 4.9 M
php-common x86_64 7.3.13-1.el7.remi remi-php73 1.1 M
php-devel x86_64 7.3.13-1.el7.remi remi-php73 1.2 M
php-fpm x86_64 7.3.13-1.el7.remi remi-php73 1.7 M
php-gd x86_64 7.3.13-1.el7.remi remi-php73 81 k
php-gmp x86_64 7.3.13-1.el7.remi remi-php73 73 k
php-intl x86_64 7.3.13-1.el7.remi remi-php73 226 k
php-json x86_64 7.3.13-1.el7.remi remi-php73 66 k
php-ldap x86_64 7.3.13-1.el7.remi remi-php73 83 k
php-mbstring x86_64 7.3.13-1.el7.remi remi-php73 511 k
php-mysqlnd x86_64 7.3.13-1.el7.remi remi-php73 234 k
php-pdo x86_64 7.3.13-1.el7.remi remi-php73 128 k
php-process x86_64 7.3.13-1.el7.remi remi-php73 83 k
php-pspell x86_64 7.3.13-1.el7.remi remi-php73 54 k
php-tidy x86_64 7.3.13-1.el7.remi remi-php73 67 k
php-xml x86_64 7.3.13-1.el7.remi remi-php73 207 k

Transaction Summary
====================================================================================================================
Install 1 Package
Upgrade ( 18 Dependent packages)




THANK YOU VERY MUCH.


Miki
 
Top